UPTERM(1)

NAME
upterm-config-edit - Edit the config file

SYNOPSIS
upterm config edit [flags]

DESCRIPTION
Edit the config file in your default editor.

Config file: /build/.config/upterm/config.yaml

This command opens the config file in your editor (determined by $VISUAL, $EDITOR, or a sensible default). If the config file doesn't exist, it creates a template with example settings and comments.

The config directory is created automatically if it doesn't exist.

OPTIONS
-h, --help[=false]
    help for edit

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    enable debug level logging (log file: /build/.upterm/upterm.log).

EXAMPLE
      # Edit config file:
      upterm config edit
      # Use a specific editor:
      EDITOR=nano upterm config edit

SEE ALSO
upterm-config(1)

HISTORY
2-Dec-2025 Auto generated by spf13/cobra